%define anolis_release 4

%ifarch x86_64
%global dispatch 1
%else
%global dispatch 0
%endif

Name:		xxhash
Version:	0.8.1
Release:	%{anolis_release}%{?dist}
Summary:	Extremely fast hash algorithm

License:	BSD and GPLv2+
URL:		http://www.xxhash.com/
Source0:	https://github.com/Cyan4973/xxHash/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	make gcc doxygen

%description
xxHash is an extremely fast non-cryptographic hash algorithm,
working at RAM speed limit. It is proposed in four flavors
(XXH32, XXH64, XXH3_64bits and XXH3_128bits). The latest variant,
XXH3, offers improved performance across the board, especially on
small data.

%package libs
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description libs
xxHash is an extremely fast non-cryptographic hash algorithm,
working at RAM speed limit. It is proposed in four flavors
(XXH32, XXH64, XXH3_64bits and XXH3_128bits). The latest variant,
XXH3, offers improved performance across the board, especially on
small data.

%package devel
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	%{name}-libs = %{EVR}
Provides:	%{name}-static = %{EVR}

%description devel
Development files for the xxhash library

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n xxHash-%{version}

%build
%make_build MOREFLAGS="%{__global_cflags} %{?__global_ldflags}" DISPATCH=%{dispatch}
doxygen

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm %{buildroot}/%{_libdir}/libxxhash.a

%generate_compatibility_deps

%check
make check
make test-xxhsum-c

%files
%dir %{abidir}
%license cli/COPYING
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*
%{abidir}/xxh*sum-option.list

%files libs
%{_libdir}/libxxhash.so.*
%{abidir}/libxxhash*.dump
%license LICENSE

%files devel
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc

%files doc
%doc README.md cli/README.md CHANGELOG
%doc doc/*

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.8.1-4
- optimize spec

* Fri Feb 03 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.8.1-3
- optimize doc package

* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-2
- optimise spec file

* Sat May 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.1-1
- Init from upstream  version 0.8.1
